ELF32
my_native
A simple Lin32 text output using native int80h interfaces
[*BEGINPRO*]
[*BEGINDEF*]
[MakeDef]
Menu=1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0
1=
2=3,O,sol_asm2.exe $2 $3 /elf32  /info
3=
4=
5=
6=
7=
[MakeFiles]
0=my_native.rap
1=my_native.rc
2=my_native.asm
3=my_native.obj
4=my_native.res
5=my_native.exe
6=my_native.def
7=my_native.dll
8=my_native.txt
9=my_native.lib
10=my_native.mak
11=my_native.hla
[Resource]
[StringTable]
[Accel]
[VerInf]
[Group]
Group=Added files,Assembly,Resources,Misc,Modules
1=2
[*ENDDEF*]
[*BEGINTXT*]
my_native.Asm
;-----------------------------------------------------
; Solar Assembler example for ELF32 object file
; using Linux native int 80h interfaces
;
; build with:
;	 sol_asm2 test.asm test.obj -elf32
;
; link with:
;	ld -e _start test.obj
;
; run:
;	./a.out ; echo $?  
;-----------------------------------------------------

;-------------------
; define sections
;-------------------
section "code"	 alias ".text"	class_code
section "data"	 alias ".data"	class_data


.data
	msg_elf		db	13,10,'Hi from Sol_Asm Linux native sample',13,10,0
	msg_len		equ	$-msg_elf

.code

.entry _start

_start:
	;-------------------------------
	; write a string to stdout
	;-------------------------------
	mov	edx,msg_len	; message len
	mov	ecx,msg_elf	; message
	mov	ebx,1		; STDOUT
	mov	eax,4		; function 4 = sys_write
	int	80h

	;----------------
	; _exit(77)
	;----------------
	mov	ebx,77		; exit code
	mov	eax,1		; function 1 = sys_exit
	int	80h

	ret

;----------------------------
; the end of this programm
;----------------------------
[*ENDTXT*]
[*ENDPRO*]
